From 82931efe420cc0433c48aebe480810f8ef0445fa Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Cl=C3=A9ment=20de=20l=27Hamaide?= <clemaez@hotmail.fr>
Date: Thu, 22 May 2014 22:08:08 +0200
Subject: [PATCH] d&c: looks like git status is not the same everywhere so use
 another trick

---
 download_and_compile.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/download_and_compile.sh b/download_and_compile.sh
index f7110be..89639fb 100755
--- a/download_and_compile.sh
+++ b/download_and_compile.sh
@@ -91,8 +91,8 @@ function _gitUpdate(){
 	fi
 	branch=$1
 	set +e
-	git status | grep -q "nothing to commit, working directory clean"; result=$?
-	if [ $result != 1 ]; then
+	git diff --exit-code 2>&1 > /dev/null
+	if [ $? != 1 ]; then
 		set -e
 		git checkout -f $branch
 		git pull -r